KMyMoney/Dependencies

Jump to: navigation, search

Note: The data on this page is still a "work in progress".

TODO: update KF5 version and split Qt, KDE libs and KDEPIM libs into component dependencies.

This page will contain a list which contains all the dependencies and the features they provide.

KF5

Dependency Provided feature Minimun version Type
Qt (Core DBus Widgets Svg Sql Xml Test) Basic libraries 5.2.0 Mandatory
KDE libs (CoreAddons Config KHtml KDELibs4Support Completion KCMUtils ItemViews) Basic libraries 5.0.0 Mandatory
GMP Arbitrary precision arithmetic Mandatory
libalkimia Money basic value object based on GMP Mandatory
KDEPIM libs (Holidays Gpgmepp QGpgme PimIdentities Akonadi Abc) GPG encryption, KHolidays integration, obtain identity data 4.7.0 Optional
KActivities Activities support Optional
libOFX OFX support Optional
Gwenhywfar HBCI support Optional
AqBanking HBCI support Optional
libical ical support Optional

KDE 4

Dependency Provided feature Minimun version Type
Qt Basic libraries 4.7.0 Mandatory
KDE libs Basic libraries 4.6.0 Mandatory
KDEPIM libs GPG encryption, KHolidays integration, obtain identity data 4.6.0 Mandatory
GMP Arbitrary precision arithmetic Mandatory
libalkimia Money basic value object based on GMP Mandatory
KActivities Activities support Optional
libOFX OFX support Optional
Gwenhywfar HBCI support Optional
AqBanking HBCI support Optional
libical ical support Optional

This page was last edited on 25 July 2014, at 12:35. Content is available under Creative Commons License SA 4.0 unless otherwise noted.